%define upstream_name    Petal
%define upstream_version 2.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl Template Attribute Language
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MKDoc::XML) >= 0.720.0
BuildRequires: perl(Scalar::Util) >= 1.70.0
BuildRequires: perl(Test::Harness) >= 2.0.0
BuildArch:  noarch

%description
examples deal with using Petal to generate HTML files from HTML templates.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Petal.pm
%perl_vendorlib/Petal

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.210.0-2.mga3
+ Revision: 371796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.210.0-1.mga3
+ Revision: 342534
- update to 2.21

* Fri Aug 26 2011 jquelin <jquelin> 2.200.0-1.mga2
+ Revision: 135493
- adding missing buildrequire
- update to 2.20
- using perl_convert_version
- mageia rebuild
- imported package perl-Petal

